API referenceInboxes
List messages in a thread
GET
/inboxes/{id}/threads/{threadId}/messagesAuthorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64threadId*string
Length
1 <= length <= 64Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/inboxes/string/threads/string/messages"{ "object": "list", "has_more": true, "data": [ { "object": "message", "id": "string", "thread_id": "string", "inbox_id": "string", "direction": "inbound", "from": "string", "to": [ "string" ], "cc": [ "string" ], "reply_to": [ "string" ], "subject": "string", "message_id": "string", "in_reply_to": "string", "references": [ "string" ], "email_id": "string", "received_email_id": "string", "verdicts": { "spam": "string", "virus": "string", "spf": "string", "dkim": "string", "dmarc": "string" }, "read": true, "status": "received", "sent_at": "2019-08-24T14:15:22Z" } ]}